### Function

# Geglapply_op_valist

#### Declaration [src]

    void
    gegl_apply_op_valist (
      GeglBuffer* buffer,
      const gchar* operation_name,
      va_list var_args
    )

#### Description [src]

Apply the operation to buffer, overwritting the contents of buffer.

This function is not directly available to language bindings.

#### Parameters

`buffer`

  Type: `GeglBuffer`

  The `GeglBuffer` to apply onto.

  The data is owned by the caller of the function.

`operation_name`

  Type: `const gchar*`

  Name of the operation to apply.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  The settings for the operation. Zero or more key/value pairs, ended terminated with NULL.